WATCH(1)

NOME
watch - executa um programa periodicamente, mostrando saída em tela cheia

SINOPSE
watch [opções] comando

DESCRIÇÃO
watch executa comando repetidamente, exibindo a saída e os erros (o primeiro de tela inteira). Isso permite que você acompanhe a mudança da saída do programa ao longo do tempo. Por padrão, comando é executado a cada 2 segundos e watch será executado até ser interrompido.

OPÇÕES

-b, --beep
    Apita se o comando tem uma saída anormal, com código não zero.

-c, --color
    Interpreta cores ANSI e sequências de estilo.

-d, --differences[=permanente]
    Realça as diferenças entre as atualizações sucessivas. Se o argumento permanente opcional for especificado, watch vai mostrar todas as alterações desde a primeira iteração.

-e, --errexit
    Congela atualizações quando houver um erro no comando, e sai após um tecla ser pressionada.

-g, --chgexit
    Sai quando a saída de comando alterar.

-n, --interval segundos
    Specify update interval. The command will not allow quicker than 0.1 second interval, in which the smaller values are converted. Both '.' and ',' work for any locales. The WATCH_INTERVAL environment can be used to persistently set a non-default interval (following the same rules and formatting).

-p, --precise
    Faz o watch tentar executar o comando a cada --interval segundos. Experimente com ntptime (se disponível) e perceba como os segundos fracionários permanecem (quase) os mesmos, em oposição ao modo normal onde aumentam continuamente.

-q, --equexit <cycles>
    Exit when output of command does not change for the given number of cycles.

-r, --no-rerun
    Do not run the program on terminal resize, the output of the program will re-appear at the next regular run time.

-t, --no-title
    Desligue o cabeçalho mostrando o intervalo, comando e tempo atual na parte superior da tela, bem como a seguinte linha em branco.

-w, --no-wrap
    Desativa quebra de linha. Linhas longas serão truncadas em vez de quebradas para a próxima linha.

-x, --exec
    Passa comando para exec(2) em vez de sh -c, o que reduz a necessidade de usar aspas extras para obter o efeito desejado.

-h, --help
    Exibe um texto de ajuda e sai.

-v, --version
    Exibe informação da versão e sai.

STATUS DE SAÍDA

    0   Sucesso.
    1   Várias falhas.
    2   O fork do processo a ser assistido falhou.
    3   Substituição da stdout (saída padrão) do processo filho com pipe lateral de escrita falhou.
    4   Execução do comando falhou.
    5   Encerramento do pipe de escrita do processo filho falhou.
    7   Criação de pipe IPC falhou.
    8   Obtenção de valor de retorno de processo filho com waitpid(2) falhou, ou o comando saiu com um erro.
    outro
        O watch vai propagar o status de saída do comando como status de saída de filho.

AMBIENTE
The behavior of watch is affected by the following environment variables.
WATCH_INTERVAL
    Intervalo de atualização, segue as mesmas regras da opção de linha de comando --interval.

NOTAS
O processamento de opções POSIX é usado, ou seja, o processamento de opções interrompe no primeiro argumento sem opção. Isso significa que as opções após comando não são interpretadas pelo próprio watch.

ERROS
Upon terminal resize, the screen will not be correctly repainted until the next scheduled update. All --differences highlighting is lost on that update as well. When using the --no-rerun option, no output of will be visible. Caracteres não imprimíveis são removidos da saída do programa. Use cat -v como parte do pipeline de comando se você quiser vê-los. Caracteres de Combinação que devem ser exibidos no caractere na última coluna na tela podem ser exibidos uma coluna antes ou podem não ser exibidos. Caracteres de Combinação nunca contam como diferente no modo --differences. Apenas só caracteres base contam. As linhas em branco diretamente após uma linha que termina na última coluna não são exibidas. --precise mode doesn't yet have advanced temporal distortion technology to compensate for a command that takes more than --interval seconds to execute. watch also can get into a state where it rapid-fires as many executions of command as it can to catch up from a previous executions running longer than --interval (for example, netstat(8) taking ages on a DNS lookup).

EXEMPLOS
Para monitorar por correio, você pode fazer
    watch -n 60 from
Para assistir o conteúdo de um diretório mudar, você pode usar
    watch -d ls -l
Se você está interessado apenas em arquivos pertencentes ao usuário fulano, você pode usar
    watch -d 'ls -l | fgrep fulano'
Para ver os efeitos das aspas, tente esses aqui
    watch echo $$
    watch echo '$$'
    watch echo "'"'$$'"'"
Para ver o efeito da manutenção da precisão do tempo, tente adicionar -p a
    watch -n 10 sleep 1
Você pode assistir seu administrador para instalar o kernel mais recente com
    watch uname -r
(Note que não há garantia de que -p funcione entre reinicializações, especialmente em face de ntpdate (se disponível) ou outros mecanismos de mudança de tempo quando da inicialização)

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org